### Constructor

# Gtk Text new_with_buffer

#### Declaration [src]

    GtkWidget*
    gtk_text_new_with_buffer (
      GtkEntryBuffer* buffer
    )

#### Description [src]

Creates a new `GtkText` with the specified text buffer.

#### Parameters

`buffer`

  Type: `GtkEntryBuffer`

  The buffer to use for the new `GtkText`.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A new `GtkText`

The data is owned by the called function.